Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.util
Class CategoryStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.jboss.logging.util.CategoryStream

Deprecated. Use `LoggerStream` instead.

public class CategoryStream
extends PrintStream

A subclass of PrintStream that redirects its output to a log4j Category.

This class is used to map PrintStream/PrintWriter oriented logging onto the log4j Categories. Examples include capturing System.out/System.err

Version:
  `$Revision: 1.5 $`
Author:
  Scott Stark., Jason Dillon

Field Summary
`static boolean` | `TRACE` Deprecated. Default flag to enable/disable tracing println calls.

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CategoryStream(org.apache.log4j.Category category)` Deprecated. Redirect logging to the indicated category using Priority.INFO
`CategoryStream(org.apache.log4j.Category category, org.apache.log4j.Priority priority, PrintStream ps)` Deprecated. Redirect logging to the indicated category using the given priority.

Method Summary
`void` | `println(Object msg)` Deprecated.
`void` | `println(String msg)` Deprecated.
`void` | `write(byte b)` Deprecated.
`void` | `write(byte[] b, int off, int len)` Deprecated.

Methods inherited from class java.io.PrintStream
`checkError, close, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, setError, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE

    public static final boolean TRACE

  Deprecated.
  Default flag to enable/disable tracing println calls. from the system property `org.jboss.logging.util.CategoryStream.trace` or if not set defaults to `false`.

Constructor Detail

### CategoryStream

    public CategoryStream(org.apache.log4j.Category category)

  Deprecated.
  Redirect logging to the indicated category using Priority.INFO

### CategoryStream

    public CategoryStream(org.apache.log4j.Category category,
                          org.apache.log4j.Priority priority,
                          PrintStream ps)

  Deprecated.
  Redirect logging to the indicated category using the given priority. The ps is simply passed to super but is not used.

Method Detail

### println

    public void println(String msg)

  Deprecated.

### println

    public void println(Object msg)

  Deprecated.

### write

    public void write(byte b)

  Deprecated.

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.